com.pivotal.gemfirexd.internal.client.net

## Class NetLogWriter

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.LogWriter
  - - com.pivotal.gemfirexd.internal.client.net.NetLogWriter

    public class NetLogWriter
    extends LogWriter

### Field Summary

Fields
`static int` `TYPE_TRACE_RECEIVE`
`static int` `TYPE_TRACE_SEND`

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.LogWriter

`printWriter_, printWriterNeedsToBeClosed_, traceLevel_`

### Constructor Summary

Constructors
Constructor and Description
`NetLogWriter(PrintWriter printWriter, int traceLevel)`

### Method Summary

Methods
`void` `traceConnectsExit(Connection connection)`
`void` `traceConnectsResetExit(Connection connection)`
`void` `traceProtocolFlow(byte[] buff, int offset, int len, int type, String className, String methodName, int tracepoint)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.LogWriter

`dncprintln, getLogLevel, getPrintWriter, getPrintWriter, loggingEnabled, traceConnectEntry, traceConnectEntry, traceConnectExit, traceConnectResetEntry, traceConnectResetExit, traceDeprecatedEntry, traceDeprecatedEntry, traceDeprecatedEntry, traceDeprecatedEntry, traceDeprecatedEntry, traceDeprecatedExit, traceDeprecatedExit, traceDiagnosable, traceDiagnosable, traceDiagnosable, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceEntry, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceExit, traceParameterMetaData, tracepoint, tracepoint, tracepoint, tracepoint, tracepoint, traceResultSetMetaData, traceSuspended, writeDriverConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_TRACE_RECEIVE

    public static final int TYPE_TRACE_RECEIVE

See Also:
  Constant Field Values

#### TYPE_TRACE_SEND

    public static final int TYPE_TRACE_SEND

See Also:
  Constant Field Values

### Constructor Detail

#### NetLogWriter

    public NetLogWriter(PrintWriter printWriter,
                int traceLevel)

### Method Detail

#### traceConnectsExit

    public void traceConnectsExit(Connection connection)

Overrides:
  `traceConnectsExit` in class `LogWriter`

#### traceConnectsResetExit

    public void traceConnectsResetExit(Connection connection)

Overrides:
  `traceConnectsResetExit` in class `LogWriter`

#### traceProtocolFlow

    public void traceProtocolFlow(byte[] buff,
                         int offset,
                         int len,
                         int type,
                         String className,
                         String methodName,
                         int tracepoint)